﻿using System;
using System.Data;
using System.Diagnostics;
using System.Windows.Forms;
using Infragistics.Documents.Reports.Report;
using Infragistics.Documents.Reports.Report.Section;
using Infragistics.Win.UltraWinGrid.DocumentExport;

namespace ReportTranslation
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataTable table = new DataTable();
            table.Columns.Add("宽度", typeof(string));
            table.Columns.Add("幅", typeof(int));
            table.Columns.Add("Width", typeof(int));
            table.Columns.Add("Ширина", typeof(int));

            // Here we add five DataRows.
            table.Rows.Add("宽度", 15, 35, 25);
            table.Rows.Add("幅", 15, 32, 12);
            table.Rows.Add("Ширина", 14, 21, 3);
            table.Rows.Add("Width", 11, 23, 4);
            table.Rows.Add("Machine 5", 22, 32, 7);
            ultraGrid1.DataSource = table;
        }


        private void btn_Export_Click(object sender, EventArgs e)
        {
            Report report = new Report();
            ISection section = report.AddSection();

            UltraGridDocumentExporter exporter = new UltraGridDocumentExporter();
            exporter.Export(ultraGrid1, section);

            report.Publish("Test.pdf", FileFormat.PDF);
            Process.Start("Test.pdf");
        }
    }
}
